## xdffileio 0.3

=== doc/example/Makefile ===
LIBS=-lxdffileio -lm

all: create_bdf copy_datafile

create_bdf: create_bdf.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

copy_datafile: copy_datafile.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean: 
	$(RM) create_bdf
	$(RM) copy_datafile

## xdffileio 0.2

=== debian/changelog ===
xdffileio (0.2-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Applied additional patch from debian/patches/lenny-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 13 Jan 2012 03:21:00 -0500

xdffileio (0.2-1) unstable; urgency=low

  * Update maintainer email
  * Switch to 3.0 (quilt) format 
  * DEP5 compliant debian/copyright.
  * Make all docs installed in the doc folder of libxdffileio0
  * Bump Standards-version to 3.9.2
  * Tighten build-dependency on debhelper to >= 7.0.50~, due to _override
    rules.
  * Provides a -dbg package 
  * Update optional fields in control (Vcs-Git, Vcs-Browser, Homepage)
  * Add debian/watch
  * Only provide an unversioned libxdffileio-dev package.
  * Specify compiler and linker flags
  * Run dh with autotools-dev
  * Improves package description.
  * Build depends on dpkg-dev (>= 1.16.1~), due to the inclusion of
    /usr/share/buildflags.mk in debian/rules.
  * Applies fix-glitches-in-manpages.patch: fix hyphen used as minus and
    spelling mistakes.
  * Adds "-ffloat-store" to CFLAGS for i386 and m68k cpu architectures

  * Upload sponsored by Michael Hanke <mih@debian.org> 
  * Initial release. (Closes: #646954) 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 21 Dec 2011 12:43:23 +0100

xdffileio (0.2-0) lucid; urgency=low

  * Stop using cdbs.
  * Reduce locking overhead
  * Relicense to LGPL3

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Sun, 18 Sep 2011 10:16:51 +0200

xdffileio (0.1-0) lucid; urgency=low

  * Remove dependency_libs from libtool files (*.la).

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 18 May 2011 16:27:00 +0200

xdffileio (0.1) lucid; urgency=low

  * Initial Release.

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 29 Apr 2011 18:36:26 +0200

=== debian/control ===
Source: xdffileio
Section: libs
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/xdffileio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/xdffileio.git
Homepage: http://cnbi.epfl.ch/software/xdffileio.html

Package: libxdffileio0
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: Library to read/write EEG data file formats
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead of the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.

Package: libxdffileio0-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, libxdffileio0 (= ${binary:Version}), ${misc:Depends}
Description: Library to read/write EEG data file formats (debugging symbols)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package provides the debugging symbols of the library.
 
Package: libxdffileio-dev
Section: libdevel
Architecture: any
Depends: neurodebian-popularity-contest, libxdffileio0 (= ${binary:Version}), ${misc:Depends}
Description: Library to read/write EEG data file formats (development files)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package contains the files needed to compile and link programs which
 use xdffileio.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BASE_CFLAGS = -Wall -Wextra

# Check whether it is one of the architecture that needs the "-ffloat-store"
# hack to make standard the behavior of its floating point rounding
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),"i386 m68k"))
	BASE_CFLAGS += -ffloat-store
endif


ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export CFLAGS += -O3 $(BASE_CFLAGS)
else
	export CFLAGS += $(BASE_CFLAGS)
endif

%:
	dh  $@ --with autotools-dev

override_dh_installdocs:
	dh_installdocs --link-doc=libxdffileio0

override_dh_strip:
	dh_strip --dbg-package=libxdffileio0-dbg

## xdffileio 0.3

=== debian/changelog ===
xdffileio (0.3-4) unstable; urgency=medium

  * Team upload.
  * Add d/libxdffileio-dev.maintscript to move /usr/share/doc/libxdffileio-dev
    from symbolic link toward libxdffileio0, to a separate directory.
    Closes: #985290

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 17 Mar 2021 13:51:56 +0100

xdffileio (0.3-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Take over package into Debian Med team maintenance
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.1-0.
  * Build on hurd
    Closes: #761898
  * d-shlibs - but why is static lib not built?

  [ Nilesh Patra ]
  * Enable static lib to be built
  * Properly rename manpages file
  * Clean leftover files after build with overriding dh_auto_clean
  * Do not conflict and install examples twice
  * Remove license copy from install

 -- Andreas Tille <tille@debian.org>  Sat, 19 Dec 2020 19:14:04 +0100

xdffileio (0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix frequent parallel FTBFS by using the serial test harness.
    (Closes: #912056)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Dec 2018 10:41:39 +0200

xdffileio (0.3-2) unstable; urgency=medium

  * Team upload.
  * Fake watch file since download area vanished upstream
  * Drop manual -dbg file since this is automatically generated
  * Maintained in Neurodebian team
  * Priority: optional
  * debhelper 10
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 21:53:47 +0200

xdffileio (0.3-1) unstable; urgency=low

  * New upstream: xdffileio-0.3
  * Drop all patches: have been integrated in upstream.
  * Bump Debian policy version to 3.9.3 -- no changes.
  * Use versioned copyright format
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 08 May 2012 15:39:55 +0200

xdffileio (0.2-3) unstable; urgency=low

  * Fix kfreebsd build:
    new patch workaround-freebsd-bug-in-errorcheck.patch
  * Fix Hurd build:
    new patch skip-errorcheck-if-setrlimit-broken.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Mon, 06 Feb 2012 02:20:36 +0100

xdffileio (0.2-2) unstable; urgency=low

  * Applies ignore-SIGXFSZ-signal-in-errorcheck-text.patch: this fix the
    build on kfreebsd architectures.
  * Upload sponsored by Michael Hanke <mih@debian.org>

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 18 Jan 2012 00:15:18 +0100

=== debian/control ===
Source: xdffileio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               gnulib
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/xdffileio
Vcs-Git: https://salsa.debian.org/med-team/xdffileio.git
Homepage: https://cnbi.epfl.ch/software/xdffileio.html
Rules-Requires-Root: no

Package: libxdffileio0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to read/write EEG data file formats
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead of the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.

Package: libxdffileio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libxdffileio0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to read/write EEG data file formats (development files)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package contains the files needed to compile and link programs which
 use xdffileio.

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,41 @@
 
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	export CFLAGS += -O3 $(BASE_CFLAGS)
+	export DEB_CFLAGS_MAINT_APPEND = -O3 $(BASE_CFLAGS)
 else
-	export CFLAGS += $(BASE_CFLAGS)
+	export DEB_CFLAGS_MAINT_APPEND = $(BASE_CFLAGS)
 endif
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie,+format,+relro,+bindnow
 
 %:
-	dh  $@ --with autotools-dev
+	dh  $@
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-static
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=libxdffileio0
 
-override_dh_strip:
-	dh_strip --dbg-package=libxdffileio0-dbg
+override_dh_install:
+	dh_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --movedev debian/tmp/usr/include usr \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		    debian/tmp/usr/lib/*/*.so
+	find debian -name "lib*.la" -delete
 
+override_dh_installdocs:
+	dh_installdocs
+	rm -rf debian/libxdffileio0/usr/share/doc/libxdffileio0/example/
+	find debian -name 'COPYING' -delete	
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf test

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# This site does not exist any more
# http://cnbisrv02.epfl.ch/packages/xdffileio/xdffileio-(\d+).(\d+).tar.bz2
